Name: aumix
Version: 2.7
Release: ipl14mdk

Summary: A GTK+/Ncurses audio mixer
License: GPL
Group: Sound
Url: http://www.jpj.net/~trevor/aumix.html

Source0: http://www.jpj.net/~trevor/aumix/%name-%version.tar.bz2
Source1: %name
Source2: %name.xpm.bz2
Source3: %name-32.xpm.bz2
Source4: %name-48.xpm.bz2
Source5: %name-ru.po.bz2

Patch0: aumix-2.6.patch.bz2
Patch1: %name-2.7-taumix.patch
Patch2: %name-2.7-devfs-compliant.patch
Patch3: %name-2.7-gtk.patch
Patch4: %name-2.7-ukpo.patch
Patch5: aumix-2.7-autoconf.patch

Requires: initscripts >= 4.42

# Automatically added by buildreq on Thu Jan 09 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libgpm-devel libncurses-devel libtinfo-devel

BuildRequires: autoconf_2.13 automake_1.4

%description
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface or a GTK-based X interface.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

bzcat %SOURCE5>po/ru.po
cd po 
msgfmt -o uk.gmo uk.po
msgfmt -o ru.gmo ru.po
cd -

# (gc) move "xaumix" to "taumix"
perl -p -i -e 's|xaumix|taumix|g' doc/*aumix.1 doc/Makefile.am src/Makefile.am src/xaumix
mv doc/xaumix.1 doc/taumix.1
mv src/xaumix src/taumix

%build
aclocal-1.4
automake-1.4
autoconf-2.13
%configure --with-alsa
make

%install
%makeinstall

# menu entry
install -m 755 -d $RPM_BUILD_ROOT/%_menudir
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/%_menudir

# icon
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
bzcat %SOURCE4 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README TODO NEWS ChangeLog
%_bindir/*
%_mandir/man1/*
%_datadir/%name
%_miconsdir/*.xpm
%_iconsdir/*.xpm
%_liconsdir/*.xpm
%_menudir/*

%changelog
* Thu Jan 09 2003 Konstantin Volckov <goldhead@altlinux.ru> 2.7-ipl14mdk
- Fixed rebuilding

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.7-ipl13mdk
- Rebuilt in new environment

* Tue Jun 18 2002 AEN <aen@logic.ru> 2.7-ipl12mdk
- uk.po fixed

* Wed Apr 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.7-ipl11mdk
- Fixed russian translation

* Tue Mar 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.7-ipl10mdk
- Added devfs-compliant patch
- Fixed translations (CP1251)
- Updated russian translation

* Tue Feb 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.7-ipl9mdk
- Fixed menu entry - added KDE menu

* Wed May 23 2001 Stanislav Ievlev <inger@altlinux.ru> 2.7-ipl8mdk
- Remove XFree86 requirement. We need only XFree86-libs

* Tue Jan  2 2001 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Tue Nov 21 2000 Egil Moller <redhog@mandrakesoft.com> 2.7-7mdk
- Fixed the URL

* Tue Nov 21 2000 Egil Moller <redhog@mandrakesoft.com> 2.7-6mdk
- Added large-icon to make rpmlint happy

* Sat Sep 08 2000 David BAUDENS <baudens@mandrakesoft.com> 2.7-5mdk
- Fix menu entry

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.7-4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.7-3mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.7-2mdk
- rebuild for BM

* Fri Jul 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.7-1mdk
- 2.7
- menu macros

* Tue Jun 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1
- chmouelization of specfile
- now "xaumix" has been renamed to "taumix"

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-3mdk
- corrected menu entry, added 32x32 icon

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-2mdk
- remove aumix-minimal, chmouel doesn't need it anymore
- patch to provide a correct DATADIRNAME

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6-1mdk
- 2.6
- nice, this new version fixes a small bug :-)

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.5-2mdk
- added URL
- added hand-drawn (oops..) icon

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.5-1mdk
- 2.5

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.4-1mdk
- 2.4 with french translation :-)
- better without-gtk patch
- new groups
- menu entry

* Tue Mar 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.2-1mdk
- 2.2
- patch to new sources to continue to support aumix-minimal

* Thu Mar  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-2mdk
- Remove dependences of gtk for aumix-minimal.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1-1mdk
- Clean-up spec (thanks deb-helper).
- Reinsert aumix-minimal.
- 2.1.

* Tue Nov 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix xmix.

* Mon Nov 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.28.
- Correcting files list.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.27.
- --with-alsa.

* Tue Sep 07 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed ukrainian language code (it is 'uk' not 'ua')

* Wed Jun 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.18.2 to 1.22.1
- removed obsolete patch for 1.18.2

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.2

* Mon Feb 22 1999 Bill Nottingham <notting@redhat.com>
- update to 1.18.1

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- update to 1.17

* Mon Feb  1 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 1.14

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binary

* Fri Oct  2 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.13

* Fri Aug 28 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.12

* Mon Aug 17 1998 Bill Nottingham <notting@redhat.com>
- updated to 1.11

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.8

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source url
- updated version

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- Updated to v. 1.6.1.
